#
# spec file for package python-dnslib
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dnslib
Version:        0.9.23
Release:        1.4
Summary:        Simple library to encode/decode DNS wire-format packets
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/paulc/dnslib
Source:         https://files.pythonhosted.org/packages/source/d/dnslib/dnslib-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Simple library to encode/decode DNS wire-format packets.

%prep
%setup -q -n dnslib-%{version}
sed -i '1{/^#!/d}' dnslib/test_decode.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand VERSIONS="$python" sh ./run_tests.sh

%files %{python_files}
%doc README
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.23:
  * Minor clean-up / add wheels to distro
  * Issue #43 (0.9.21 Raises TypeError instead of DNSError when failing to parse HTTPS records)
    Note that we just fix the exception - there still seems to be a problem with parsing HTTPS records
  * Issue #43: HTTPS reads after RD end (thanks to @robinlandstrom for pull request)
  * Issue #45: Dnslib fails to handle unknown RR types in NSEC RD type bitmap
  * Bimap now supports a function to map unknown types which we use to
    dynamically map from rtype <-> TYPExxxx for unknown record types
  * RR zone representation updated to match RFC3597
  * Pull Request #47: Add support for DS, SSHFP, and TLSA records (thanks to @rmbolger)
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- update to 0.9.21:
  * Issue #43 (0.9.21 Raises TypeError instead of DNSError when failing to parse HTTPS records)
  * setup.py
- update 0.9.20
  * Merge pull request #41 from felixonmars/patch-1
    Correct typos in dns.py
  * Add wheel instructions
  * Set theme jekyll-theme-minimal
* Sun Jan 23 2022 Dirk Müller <dmueller@suse.com>
- update to 0.9.19:
  * Allow custom log function (logf) in  DNSLogger
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 0.9.18:
  * Validate TXID in client.py
* Tue Aug 17 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to v0.9.16
  * Add DNAME
  * Add support for all RR types to NSEC type bitmap
  * Issue 16: uncaught exceptions leak open sockets
- from v0.9.15
  * DNSServer fixes / Add unsupported RR types
  * Add NULL QTYPE
* Thu Aug 27 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v0.9.14
* Mon Dec 16 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.9.10
